SimpleMessage (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.control.messages, class: SimpleMessage

Package org.codehaus.groovy.control.messages

# Class SimpleMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.SimpleMessage

Direct Known Subclasses:
  `LocatedMessage`

public class SimpleMessage extends Message
A base class for compilation messages.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `data`
  used when `message` is an I18N identifier
  `protected String`
  `message`
  `protected ProcessingUnit`
  `owner`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleMessage(String message, Object data, ProcessingUnit owner)`
  `SimpleMessage(String message, ProcessingUnit owner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `void`
  `write(PrintWriter writer, Janitor janitor)`
  Writes this message to the specified `PrintWriter`.

  ### Methods inherited from class org.codehaus.groovy.control.messages.Message

  `create, create, create, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### data

    protected Object data
    used when `message` is an I18N identifier

  - ### message

    protected String message

  - ### owner

    protected ProcessingUnit owner

- ## Constructor Details

  - ### SimpleMessage

    public SimpleMessage(String message, ProcessingUnit owner)

  - ### SimpleMessage

    public SimpleMessage(String message, Object data, ProcessingUnit owner)

- ## Method Details

  - ### getMessage

    public String getMessage()

  - ### write

    public void write(PrintWriter writer, Janitor janitor)
    Description copied from class: `Message`
    Writes this message to the specified `PrintWriter`.
    Specified by:
      `write` in class `Message`